<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>student data</title>
</head>

<body>
    <script>
        const student = {}

        let studentName = prompt('enter students name');
        let studentLastName = prompt('enter students last name');
        student.name = studentName;
        student['last name'] = studentLastName;

        student.tabel = {}
        while (true) {
            const subjectName = prompt('what is the subject');
            if (!subjectName) {
                break
            }
            const markSubject = +prompt('what is the mark of this subject');
            student.tabel[subjectName] = markSubject;
        }
        console.log(student)

        let badMark = 0;
        for (let key in student.tabel) {
            if (student.tabel[key] < 4) {
                badMark++;
            }
        }
        if (badMark < 1) {
            console.log("Студент переведен на следующий курс.");
        }

        let getAvarageScore = function () {
            let scoreSum = 0;
            let scoreCount = 0;
            for (let key in student.tabel) {
                scoreCount++;
                scoreSum += student.tabel[key];
            }
            return scoreSum / scoreCount;
        }

        if(getAvarageScore() >7){
            console.log('Студенту назначена стипендия.')
        }
        




    </script>
</body>

</html>